%define upstream_name    Math-BigInt-FastCalc
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Math::BigInt::Calc with some XS for more speed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Math::BigInt) >= 1.997.0
BuildRequires: perl(Math::BigInt::Calc) >= 1.997.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader)
BuildRequires: perl-Math-BigInt >= 1.900.0
BuildRequires: perl-devel
%description
In order to allow for multiple big integer libraries, Math::BigInt was
rewritten to use library modules for core math routines. Any module which
follows the same API as this can be used instead by using the following:

	use Math::BigInt lib => 'libname';

'libname' is either the long name ('Math::BigInt::Pari'), or only the short
version like 'Pari'. To use this library:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc CHANGES CREDITS META.json META.yml README SIGNATURE TODO
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog

* Fri Nov 04 2011 jquelin <jquelin> 0.300.0-2.mga2
+ Revision: 162816
- take priority over module bundled with perl 5.14.2

* Sun Sep 18 2011 takashi <takashi> 0.300.0-1.mga2
+ Revision: 145065
- fixing the SPEC file
- upload to 0.30

  + kharec <kharec>
    - update to 0.29

* Sun Jun 12 2011 sander85 <sander85> 0.280.0-2.mga2
+ Revision: 104776
- Rebuild for perl 5.14

* Wed Mar 02 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 62507
- update to 0.28

* Tue Jan 18 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 23340
- cleaning spec file
- imported package perl-Math-BigInt-FastCalc

